#ifndef _JULIUS_DLL_
#define global _JULIUS_DLL_
#uselib "juliusdll.dll"
#define global WM_JULIUS 58670
#define global HSP_JULIUS_NULL 0
#define global HSP_JULIUS_RECREADY 1
#define global HSP_JULIUS_RECSTART 2
#define global HSP_JULIUS_RECRESULT 3
#define global HSP_JULIUS_EVENT_PAUSE 4
#define global HSP_JULIUS_PAUSE_FUNCTION 5
#define global HSP_JULIUS_EVENT_RESUME 6
#define global HJULIUS_EVENT_DEFAULT 0
#define global HJULIUS_EVENT_AUDIO_READY 1
#define global HJULIUS_EVENT_AUDIO_BEGIN 2
#define global HJULIUS_EVENT_RESULT_FINAL 4
#define global HJULIUS_EVENT_NORMAL (HJULIUS_EVENT_AUDIO_READY | HJULIUS_EVENT_AUDIO_BEGIN | HJULIUS_EVENT_RESULT_FINAL)
#define global HJULIUS_EVENT_ENGINE_PAUSE 8
#define global HJULIUS_EVENT_WAIT_FOR_RESUME 16
#define global HJULIUS_EVENT_ENGINE_RESUME 32
#define global HJULIUS_EVENT_ENGINE_ACTIVE 64
#define global HJULIUS_EVENT_ENGINE_INACTIVE 128
#define global HJULIUS_EVENT_AUDIO_END 256
#define global HJULIUS_EVENT_RECOG_BEGIN 512
#define global HJULIUS_EVENT_RECOG_END 1024
#define global HJULIUS_EVENT_RECOG_FRAME 2048
#define global HJULIUS_EVENT_RESULT_PASS1 4096
#define global HJULIUS_EVENT_GRAM_UPDATE 8192

// bp[֐
#func global HJuliusInit "HJuliusInit" str
#cfunc global HJuliusGetJConf "HJuliusGetJConf"
#cfunc global HJuliusGetRecog "HJuliusGetRecog"
#func global HJuliusCallBack "HJuliusCallBack" int
#func global HJuliusAudioInit "HJuliusAudioInit" int
#func global HJuliusSetHwnd "HJuliusSetHwnd" int
#func global HJuliusSetMsgCode "HJuliusSetMsgCode" int
#func global HJuliusStart "HJuliusStart"
#func global HJuliusClose "HJuliusClose"
#func global HJuliusStop "HJuliusStop"
#func global HJuliusTerminate "HJuliusTerminate"
#func global HJuliusGetSentence "HJuliusGetSentence" var
#cfunc global HJuliusGetResultStat "HJuliusGetResultStat"
#func global HJuliusGetWSeq "HJuliusGetWSeq" var
#func global HJuliusGetScore "HJuliusGetScore" var,var,var
#func global HJuliusSetTerminate "HJuliusSetTerminate"
#func global HJuliusSetPause "HJuliusSetPause"
#func global HJuliusSetResume "HJuliusSetResume"
#func global HJuliusSetSync "HJuliusSetSync" int
#cfunc global HJuliusGetSyncStatus "HJuliusGetSyncStatus"
#func global HJuliusSetSyncCompleted "HJuliusSetSyncCompleted" int
#func global HJuliusSetUseLogFile "HJuliusSetUseLogFile" int
#define global HJuliusSetMsgID HJuliusSetMsgCode

// Basic API
#func global j_enable_debug_message "j_enable_debug_message"
#func global j_disable_debug_message "j_disable_debug_message"
#func global j_enable_verbose_message "j_enable_verbose_message"
#func global j_disable_verbose_message "j_disable_verbose_message"
#func global j_adin_init "j_adin_init" int
#func global j_adin_init_user "j_adin_init_user" int, int
#func global j_close_stream "j_close_stream" int
#func global j_get_current_filename "j_get_current_filename"
#func global j_recog_info "j_recog_info" int
#func global j_output_argument_help "j_output_argument_help" int
#func global j_open_stream "j_open_stream" int, int
#func global j_recognize_stream "j_recognize_stream" int
#func global j_add_option "j_add_option" str, int, int, str, int
// Callback API
#func global callback_add "callback_add" int, int, int, int
#func global callback_add_adin "callback_add_adin" int, int, int, int
#func global callback_exist "callback_exist" int, int
#func global callback_delete "callback_delete" int, int
// Pause and Resume API
#func global j_request_pause "j_request_pause" int
#func global j_request_terminate "j_request_terminate" int
#func global j_request_resume "j_request_resume" int
// User function API
#func global j_regist_user_lm_func	"j_regist_user_lm_func" int, int, int, int
#func global j_regist_user_param_func "j_regist_user_param_func" int, int
// Process API
#func global j_process_deactivate "j_process_deactivate" int, str
#func global j_process_deactivate_by_id "j_process_deactivate_by_id" int, int
#func global j_process_activate "j_process_activate" int, str
#func global j_process_activate_by_id "j_process_activate_by_id" int, int
#func global j_process_add_lm "j_process_add_lm" int, int, int, str
#func global j_process_remove "j_process_remove" int, int
#func global j_process_lm_remove "j_process_lm_remove" int, int
#func global j_process_am_remove "j_process_am_remove" int, int
// Grammar / Dictionary API
#func global multigram_add_gramlist "multigram_add_gramlist" str, str, int, int
#func global multigram_remove_gramlist "multigram_remove_gramlist" int
#func global multigram_add_prefix_list "multigram_add_prefix_list" str, str, int, int
#func global multigram_add_prefix_filelist "multigram_add_prefix_filelist" str ,int, int
#func global schedule_grammar_update "schedule_grammar_update" int
#func global j_reset_reload "j_reset_reload" int
#func global multigram_build "multigram_build" int
#func global multigram_add "multigram_add" int, int, str, int
#func global multigram_delete "multigram_delete" int, int
#func global multigram_delete_all "multigram_delete_all" int
#func global multigram_activate "multigram_activate" int, int
#func global multigram_deactivate "multigram_deactivate" int, int
#func global multigram_update "multigram_update" int
#func global multigram_get_all_num "multigram_get_all_num" int
#func global multigram_get_gram_from_category "multigram_get_gram_from_category" int, int
#func global multigram_get_gram_from_wid "multigram_get_gram_from_wid" int, int
#func global multigram_get_id_by_name "multigram_get_id_by_name" int, str
#func global multigram_get_grammar_by_name "multigram_get_grammar_by_name" int, str
#func global multigram_get_grammar_by_id "multigram_get_grammar_by_id" int, int
#func global multigram_add_words_to_grammar "multigram_add_words_to_grammar" int, int, int
#func global multigram_add_words_to_grammar_by_name "multigram_add_words_to_grammar_by_name" int, str, int
#func global multigram_add_words_to_grammar_by_id "multigram_add_words_to_grammar_by_id" int, int, int
// Jconf configuration API

#func global j_config_load_file_new "j_config_load_file_new" str
#func global j_config_load_args_new "j_config_load_args_new" int,int
#func global j_create_instance_from_jconf "j_create_instance_from_jconf" int

#func global j_recog_free "j_recog_free" int
#endif